Skip to main content
PATCH
Update an order
Order updates are processed asynchronously: a valid request returns immediately with a 202, and an order.updated webhook is sent when processing completes. If the update fails terminally, an order.update_failed webhook is sent instead.

Request Parameters

All fields are optional; send only the fields you want to change.
  • result_date (string, optional): Result date (ISO 8601, YYYY-MM-DD).
  • collected_date (string, optional): Specimen collection date (ISO 8601, YYYY-MM-DD).
  • collection_time (string, optional): Specimen collection time, e.g. "12:58 PM".
  • performed_date (string, optional): Performed date (ISO 8601, YYYY-MM-DD). Diagnostic imaging.
  • assigned_to_id (string, optional): EMR staff id to assign the order to.
  • high_priority (boolean, optional): Flag the order high priority.
  • callback_urls (string[], optional): URLs to receive the order.updated webhook, in addition to the account webhook.

Example Request

Example Response

Webhook Notifications

When processing completes, we send a webhook to your registered endpoint.

Success

Failure

Authorizations

client_id
string
header
required
client_secret
string
header
required
access_token
string
header
required

Path Parameters

id
string
required

Cobalt order ID.

Example:

"b2c3d4e5f6a1478899aabbccddeeff00"

Body

application/json
result_date
string

Result date (ISO 8601, YYYY-MM-DD).

Example:

"2026-03-15"

collected_date
string

Specimen collection date (ISO 8601, YYYY-MM-DD).

Example:

"2026-03-15"

collection_time
string

Specimen collection time, e.g. "12:58 PM".

Example:

"9:30 AM"

performed_date
string

Performed date (ISO 8601, YYYY-MM-DD). Diagnostic imaging.

Example:

"2026-03-15"

assigned_to_id
string

EMR staff id to assign the order to (an ehr_id from GET /v1/staff).

Example:

"STAFF-123"

high_priority
boolean

Flag the order high priority.

Example:

false

callback_urls
string[]

URLs to receive the order.updated webhook, in addition to the account webhook.

Example:

Response

Order record created/updated and queued for the EMR

success
boolean
required
Example:

true

message
string
required
Example:

"Order queued for delivery to the EMR"

order_id
string
required
Example:

"b2c3d4e5f6a1478899aabbccddeeff00"

job_id
required
Example:

12345